%define name	libxdkbibtex

Name:		libxdkbibtex
Version:	1.0.4
Release:	1

Summary:	C++ parser for reading BibTeX bibliographic files	
License:	GPL
Group:		Development/C++
Source:		%{name}-%{version}.tar.bz2
URL:		http://artis.imag.fr/Members/Xavier.Decoret/resources/xdkbibtex/
Buildroot:      %{_tmppath}/%{name}-%{version}-buildroot
Prefix:         /usr

%description

XdkBibTeX provides C++ parsers and utility classes for parsing
bibliography files in BibTeX format. 

%package devel
Summary: 	libxdkbibtex header files and documentation.
Group: 		Development/C++
Requires: 	%{name} = %{version}

%description devel

This package contains the header files for libxdkbibtex.

#%package python
#Summary: 	python bindings for libxdkbibtex.
#Group: 		Development/Python
#Requires: 	%{name} = %{version}
#Requires:	python >= 2.3
#
#%description python
#
#This package provides a module to allow BibTeX files parsing and
#manipulation in Python.
#
#%package -n xdkbibtex
#Summary: 	python scripts for working on bibtex files.
#Group: 		Development/Python
#Requires:	%{name}-python = %{version}
#
#%description -n xdkbibtex
#
#This package provides several scripts based on the libxdkbibtex parsers.
#Those scripts performs various operations on .bib files such as pretty
#printing them, or grepping them for entries containing particular values
#in specified fields.

%prep
%setup -q

%build
%configure --enable-doxygen

%install
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean

%files
%doc README AUTHORS COPYING NEWS THANKS
%{_libdir}/%{name}.so*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/xdkbibtex
%{_includedir}/xdkbibtex/*
%{_libdir}/%{name}.a
%{_libdir}/%{name}.la
%{_datadir}/%{name}-%{version}/doc/html/c++/*

#%{expand: %%define pyver %(python -c 'import sys;print(sys.version[0:3])')}
#%files python
#%defattr(-,root,root)
#%{_libdir}/python%{pyver}/site-packages/*
#%{_libdir}/libpyxdkbibtex.a
#%{_libdir}/libpyxdkbibtex.la
#%{_libdir}/libpyxdkbibtex.so*
#
#%files -n xdkbibtex
#%defattr(-,root,root)
#%{_bindir}/bibtidy
#%{_bindir}/bibgrep

%changelog
* Thu Oct 23 2004  Xavier Dcoret  <Xavier.Decoret@imag.fr> 1.0.1-1
- Fixed (it was not initializing the error message) and enhanced the
  class parsing_error (with filename, line and column). Fixed its use in file.C.

* Tue Sep 14 2004 Xavier Decoret <Cavier.Decoret@imag.fr> 1.0-1
- First release.

